## XML Paper Functions

XML Paper Functions — Functions to parse glabels XML paper definition files

## Functions

GList * | lgl_xml_paper_read_papers_from_file ()
GList * | lgl_xml_paper_parse_papers_doc ()
lglPaper * | lgl_xml_paper_parse_paper_node ()

## Object Hierarchy

## Includes

    #include <libglabels/lgl-xml-paper.h>

## Description

This section describes a number of functions for parsing glabels XML paper definition files.

## Functions

### lgl_xml_paper_read_papers_from_file ()

    GList *
    lgl_xml_paper_read_papers_from_file (gchar *utf8_filename);

Read paper definitions from a file.

#### Parameters

utf8_filename | Filename of papers file (name encoded as UTF-8) |

#### Returns

a list of lglPaper structures.

### lgl_xml_paper_parse_papers_doc ()

    GList *
    lgl_xml_paper_parse_papers_doc (xmlDocPtr papers_doc);

Read paper definitions from a libxml xmlDocPtr tree.

#### Parameters

papers_doc | libxml xmlDocPtr tree, representing a papers definition file. |

#### Returns

a list of lglPaper structures.

### lgl_xml_paper_parse_paper_node ()

    lglPaper *
    lgl_xml_paper_parse_paper_node (xmlNodePtr paper_node);

Read a single paper definition from a libxml xmlNodePtr node.

#### Parameters

paper_node | libxml xmlNodePtr paper node from a xmlDocPtr tree. |

#### Returns

a pointer to a newly created lglPaper structure.

## Types and Values